Subject: Re: [pci PATCH v5 3/4] ena: Migrate over to unmanaged SR-IOV support

From: Christoph Hellwig <[email-masked]>
Date: Tue, 13 Mar 2018 09:16:28 +0100

On Tue, Mar 13, 2018 at 08:12:52AM +0000, David Woodhouse wrote:
> I'd also *really* like to see a way to enable this for PFs which don't
> have (and don't need) a driver. We seem to have lost that along the
> way.

We've been forth and back on that.  I agree that not having any driver
just seems dangerous.  If your PF really does nothing we should just
have a trivial pf_stub driver that does nothing but wiring up
pci_sriov_configure_simple.  We can then add PCI IDs to it either
statically, or using the dynamic ids mechanism.